Distribution:	CCux Linux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	3D modeling, animation and rendering system	
Name:		k3d
Version:	0.7.5.0
Release:	1
License:	GNU/GPL
URL:		http://www.k-3d.org
Group:		Graphics   
Source0:	%{name}-source-%{version}.tar.gz
BuildRequires:	bash
BuildRequires:  OpenEXR-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  ORBit2-devel
BuildRequires:  atk-devel
BuildRequires:  gtkmm-devel
BuildRequires:  libbonobo-devel
BuildRequires:  boost-devel
BuildRequires:  bzip2-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  GConf-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  gtkglext-devel
BuildRequires:  glib-devel
BuildRequires:  glibmm-devel
BuildRequires:  libgnome-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  gtk2+-devel
BuildRequires:  libjpeg-devel
BuildRequires:  lcms-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  popt
BuildRequires:  python-devel
BuildRequires:  libsigc++-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXt-devel
BuildRequires:	cairomm-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
K-3D features a robust, object oriented plugin architecture, designed to scale to the needs of professional artists. It is designed from the ground up to generate motion picture quality animation using RenderMan compliant render engines.

%package devel
Summary: 	%{name} development headers.
Group:		%{group}          
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-source-%{version}
#sed -i "s#^[ \t]*namespace[ \t]*boost.*#\#include <boost/filesystem/path.hpp>#" k3dsdk/*.h
#sed -i "s#^[ \t]*namespace[ \t]*boost.*#\#include <boost/filesystem/path.hpp>#" ngui/*.h

%build
#export CFLAGS="$CFLAGS -I/usr/include/OpenEXR"
#export CXXFLAGS=$CFLAGS
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%_prefix -DK3D_IMAGEMAGICK_INCLUDE_DIR=/usr/include/ImageMagick
make
popd
#./configure 	--prefix=%{_prefix} \
#		--sysconfdir=%{_sysconfdir} \
#		--mandir=%{_mandir} \
#		--disable-debug
#make

%install
#install -m 755 -d $RPM_BUILD_ROOT/usr/share/applications
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
sed -e "s#\@prefix\@#/usr#g" desktop/k3d.desktop.in > $RPM_BUILD_ROOT/usr/share/applications/k3d.desktop
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%_datadir/k3d
%_datadir/applications
%_bindir
%_libdir/*.so*
%_libdir/k3d
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
#%_libdir/*.la
#%_libdir/k3d/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.5.0-1
- version update 
* Mon May 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.4.0-1
- version update
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2.0-1
- version update
* Fri Dec 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.7.0-2
- rebuilt against OpenEXR 1.6.1 / ilmbase 1.0.1
* Tue Aug 28 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.6.7.0-1
- version update
* Sun Jan 28 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.6.0-1
- version update
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.1.0-2
- rebuilt against python 2.5
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.1.0-1
- version update
- built against X.org 7.1.1
* Thu Aug 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0.0-2
- rebuilt against pango 1.14.2
* Sun Aug 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0.0-1
- Initial Release
